## multiwatch 1.0.0

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)

cmake_policy(VERSION 2.6.0)

INCLUDE(CheckIncludeFiles)
INCLUDE(CheckLibraryExists)
INCLUDE(FindPkgConfig)

MACRO(ADD_TARGET_PROPERTIES _target _name _properties)
  SET(_properties ${ARGV})
  LIST(REMOVE_AT _properties 0)
  LIST(REMOVE_AT _properties 0)
  GET_TARGET_PROPERTY(_old_properties ${_target} ${_name})
  #MESSAGE("adding property to ${_target} ${_name}: ${_properties}")
  IF(NOT _old_properties)
    # in case it's NOTFOUND
    SET(_old_properties)
  ELSE(NOT _old_properties)
    SET(_old_properties "${_old_properties} ")
  ENDIF(NOT _old_properties)
  SET_TARGET_PROPERTIES(${_target} PROPERTIES ${_name} "${_old_properties}${_properties}")
ENDMACRO(ADD_TARGET_PROPERTIES)

PROJECT(multiwatch)
SET(PACKAGE_VERSION 1.0.0)
IF("${CMAKE_BUILD_TYPE}" STREQUAL "")
	SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF("${CMAKE_BUILD_TYPE}" STREQUAL "")


# libev
CHECK_INCLUDE_FILES(ev.h HAVE_EV_H)
IF(HAVE_EV_H)
	CHECK_LIBRARY_EXISTS(ev ev_loop "" HAVE_LIBEV)
	IF(HAVE_LIBEV)
		SET(EV_LIBRARIES ev)
		SET(EV_STATIC_LIBRARIES ev;m)
		CHECK_LIBRARY_EXISTS(rt clock_gettime "" NEED_RT)
		IF(NEED_RT)
			SET(EV_STATIC_LIBRARIES ${EV_STATIC_LIBRARIES} rt)
		ENDIF(NEED_RT)
	ELSE(HAVE_LIBEV)
		MESSAGE(FATAL_ERROR "Couldn't find lib ev")
	ENDIF(HAVE_LIBEV)
ELSE(HAVE_EV_H)
	MESSAGE(FATAL_ERROR "Couldn't find <ev.h>")
ENDIF(HAVE_EV_H)

# GLIB 2
pkg_check_modules (GLIB2 REQUIRED glib-2.0)
SET(GLIB_INCLUDES ${GLIB2_INCLUDE_DIRS} ${GLIB2_INCLUDE_DIRS}/glib-2.0/ ${GLIB2_INCLUDE_DIRS}/glib-2.0/include/)
INCLUDE_DIRECTORIES(${GLIB_INCLUDES})

SET(MAIN_SOURCE multiwatch.c)

SET(PACKAGE_NAME ${CMAKE_PROJECT_NAME})
SET(PACKAGE_VERSION ${PACKAGE_VERSION})
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_BINARY_DIR}/config.h ESCAPE_QUOTES)
ADD_DEFINITIONS(-DHAVE_CONFIG_H)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

add_executable(multiwatch ${MAIN_SOURCE})

ADD_TARGET_PROPERTIES(multiwatch COMPILE_FLAGS "-std=gnu99 -Wall -g -Wshadow -W -pedantic -fPIC -D_GNU_SOURCE")

# libev
TARGET_LINK_LIBRARIES(multiwatch "${EV_LIBRARIES}")

# GLIB 2
ADD_TARGET_PROPERTIES(multiwatch LINK_FLAGS "${GLIB2_LDFLAGS}")
ADD_TARGET_PROPERTIES(multiwatch COMPILE_FLAGS "${GLIB2_CFLAGS_OTHER}")

INSTALL(TARGETS multiwatch DESTINATION bin)

## multiwatch 1.0.0-rc1

=== debian/changelog ===
multiwatch (1.0.0-rc1-2ubuntu1) oneiric; urgency=low

  * debian/patches/fix-ftbfs-with-ld-as-needed.patch:
    - Fix ftbfs with ld --as-needed (LP: #756042) (Closes: #632148)

 -- Angel Abad <angelabad@ubuntu.com>  Wed, 29 Jun 2011 23:24:45 +0200

multiwatch (1.0.0-rc1-2) unstable; urgency=low

  * Remove empty paragraph in long description. (Closes: #578417)
  * Patch : builds against libev4. (Closes: #623372)
  * debian/rules : clean cmake build dir.
  * debian/copyright : move to DEP-5 format.
  * Bump Standards-Version to 3.9.2
  * Link to the project home page instead of the gitosis browse page.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 30 Apr 2011 15:10:43 +0200

multiwatch (1.0.0-rc1-1) unstable; urgency=low

  * Initial release (Closes: #574967)

 -- Jérémy Lal <kapouer@melix.org>  Mon, 22 Mar 2010 14:47:01 +0100

=== debian/control ===
Source: multiwatch
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jérémy Lal <kapouer@melix.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, libglib2.0-dev (>= 2.16.0), libev-dev (>= 3.9)
Standards-Version: 3.9.2
Homepage: http://redmine.lighttpd.net/projects/multiwatch

Package: multiwatch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Forks and watches multiple instances of a program
 multiwatch forks multiple instance of one application and
 keeps them running.
 .
 It is made to be used with spawn-fcgi so all forks share the same
 fastcgi socket (no webserver restart needed if you increase/decrease
 the number of forks), and it is easier to setup than multiple
 daemontool or runit supervised instances.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

# remove cmake build dir
override_dh_clean:
	dh_clean
	rm -rf $(CURDIR)/obj-*

## multiwatch 1.0.0-rc1+really1.0.0

=== debian/changelog ===
multiwatch (1.0.0-rc1+really1.0.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:58:14 +1100

multiwatch (1.0.0-rc1+really1.0.0-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:47:43 +0000

multiwatch (1.0.0-rc1+really1.0.0-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:35:50 +0000

multiwatch (1.0.0-rc1+really1.0.0-1) unstable; urgency=low

  * Upstream update.
  * Ensure proper version ordering, due to previous -rc1 version.
  * debian/rules : move to debhelper 9.
  * debian/control : bump Build-Dependency version of debhelper
    (>= 9.20120909~).
  * Fix FTBFS with ld --as-needed (Closes: #632148)
  * Remove debian/patches/1001_libev4_compatibility.patch,
    applied upstream.
  * debian/watch : update url, dversionmangle -rc1+really1.0.0.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 17 Feb 2013 19:38:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jérémy Lal <kapouer@melix.org>
-Build-Depends: debhelper (>= 7.0.50~), cmake, libglib2.0-dev (>= 2.16.0), libev-dev (>= 3.9)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9.20120909~), cmake, libglib2.0-dev (>= 2.16.0), libev-dev (>= 3.9)
+Standards-Version: 3.9.4
 Homepage: http://redmine.lighttpd.net/projects/multiwatch
+Vcs-Git: git://git.lighttpd.net/multiwatch.git
+Vcs-Browser: http://git.lighttpd.net/multiwatch.git
 
 Package: multiwatch
 Architecture: any

=== debian/watch ===
version=3
opts=dversionmangle=s/-(rc1\+really1\.0\.0)$// \
http://download.lighttpd.net/multiwatch/ .*/multiwatch-(\d.*)\.tar\.gz

## multiwatch 1.0.0-snap-20150627-182436-gd3a960

=== debian/changelog ===
multiwatch (1.0.0-snap-20150627-182436-gd3a960-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * gce9be5 released as gd3a960

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 27 Jun 2015 18:24:43 +0000

multiwatch (1.0.0-snap-20150627-171641-gce9be5-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot gce9be5
    + make README a proper formatted README.rst

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 27 Jun 2015 18:12:05 +0000

multiwatch (1.0.0-rc1+really1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * downgrade debhelper dependency to 7.0.50~ - should be good enough
  * set debian/compat to 7
  * remove cmake, using autotools
  * enable extra warnings in configure

 -- Stefan Bühler <stbuehler@web.de>  Sat, 27 Jun 2015 19:56:01 +0200

## multiwatch 1.0.1

=== meson_options.txt ===
option('extra-warnings', type : 'boolean', value : true, description : 'Build with extra warnings enabled')

=== debian/changelog ===
multiwatch (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1 (Closes: #1081655)
  * watch: remove version mangle
  * b-d meson, buildsystem meson

 -- Jérémy Lal <kapouer@melix.org>  Sun, 02 Mar 2025 14:47:09 +0100

multiwatch (1.0.0-rc1+really1.0.0-2) unstable; urgency=medium

  * watch version 4, verify gpg signature
  * debhelper-compat
  * Standards-Version 4.7.0
  * Priority: optional
  * Rules-Requires-Root: no
  * VCS fields

 -- Jérémy Lal <kapouer@melix.org>  Sat, 01 Mar 2025 20:11:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: multiwatch
 Section: web
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jérémy Lal <kapouer@melix.org>
-Build-Depends: debhelper (>= 9.20120909~), cmake, libglib2.0-dev (>= 2.16.0), libev-dev (>= 3.9)
-Standards-Version: 3.9.4
+Priority: optional
+Maintainer: Jérémy Lal <kapouer@melix.org>
+Build-Depends: debhelper-compat (= 13), meson, libglib2.0-dev (>= 2.16.0), libev-dev (>= 3.9)
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: http://redmine.lighttpd.net/projects/multiwatch
-Vcs-Git: git://git.lighttpd.net/multiwatch.git
-Vcs-Browser: http://git.lighttpd.net/multiwatch.git
+Vcs-Browser: https://salsa.debian.org/debian/multiwatch
+Vcs-Git: https://salsa.debian.org/debian/multiwatch.git
 
 Package: multiwatch
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@ --buildsystem=meson

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://download.lighttpd.net/multiwatch/ .*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
